Jupiter - Blad #1935

problem z wyswietlaniem dokumentow przypisanych do wydawcy, jesli ten nie ma zadnych
przypisanych

2018-01-30 10:45 - Lukasz Waskiewicz

Status: Zamkniety Start date: 2018-01-30

Priority: Normalny Due date:

Assignee: tukasz Waskiewicz % Done: 100%

Category: Estimated time: 0.00 hour

Target version: 0.3

Developer: tukasz Waskiewicz Rewizja zgloszenia GITaec922416

Tester: Jarostaw Bgbel Rewizja rozwigzania GIBf1cfofee1f7f8e8dad8597f836a5593a176a695
Wystepuje w wersji: 0.3 Rewizja testow GIT: 8539f1b

Waga btedu: Mata

Description

Associated revisions
Revision 8382613e - 2018-01-30 10:46 - Lukasz Waskiewicz

refs #1935 poprawa pobierania dokumentéw wydawcy, jesli ten ich nie ma

Revision 7e2b4503 - 2018-02-14 15:15 - Lukasz Waskiewicz

refs #1935 poprawa uprawnien dostepu do baz

Revision df1cf9fe - 2018-02-16 10:20 - Lukasz Waskiewicz

refs #1935 dodanie trim przy sprawdzaniu dtugo$ci wpisanego warunku

History

#1 - 2018-01-30 10:46 - Lukasz Waskiewicz

- Status changed from Nowy to Rozwigzany

- Assignee changed from tukasz Waskiewicz to Jarostaw Bgbel

- % Done changed from 0 to 100

- Rewizja rozwigzania GIT set to ae922416d16889665f3ed373eea2969bad4b9337

#2 - 2018-02-14 14:09 - Jarostaw Babel
- Status changed from Rozwigzany to OdpowiedZ
- Assignee changed from Jarostaw Babel to tukasz Waskiewicz

- Problem z przypisywaniem wszystkiego od razu zniknat, ale teraz w przypisaniach nie mozna przy pomocy lupki wys$wietli¢ wszystkich czasopism
wydawcy, bo lupka jest nieaktywna dopdki nie wpiszemy kilku znakéw

- Btad, gdy administrator wydawcy prébuje znalez¢ czasopisma w przypisaniach dla redaktora wydawcy
1. zalogowac jako admin wydawcy (z wybranymi czasopismami dla wydawcy)
2. wejs¢ w edycje redaktora wydawcy
3. wejs¢ w przypisania

4. wpisac warto$¢ w pole wyszukiwania, zeby zaktywizowac¢ lupke
5. klikna¢ lupke

6. pojawia sie "Btad potaczenia”, a w konsoli

Object { _body:
"{\"timestamp\":1518616570076,\"status\":403,\"error\":\"Forbidden\",\"message\":\"Forbidden\",\"path\":\"/api/administration/user/group/documents\"}",
status: 403, ok: false, statusText: "OK", headers: {...}, type: 2, url: "http://localhost:8080/api/administration/user/group/documents" }

#3 - 2018-02-14 15:19 - Lukasz Waskiewicz

- Status changed from OdpowiedZ to Rozwigzany

- Assignee changed from tukasz Waskiewicz to Jarostaw Babel

- Rewizja rozwigzania GIT changed from ae922416d16889665f3ed373eea2969bad4b9337 to 7e2b450378be3e539fc1593a2e355d5bcf4d0551

- brak aktywnej lupki jest zamierzony, pojawia sie dopiero po wpisaniu 3 znakéw
- btad przy wyszukaniu poprawitem

#4 - 2018-02-15 14:14 - Jarostaw Babel
- Assignee changed from Jarostaw Babel to tukasz Waskiewicz
- Rewizja testow GIT set to 8539f1b

Juz dziata.

Co do wpisania 3 znakdw, to mozna tez wpisaé 3 spacje, co da efekt jakby nic nie wpisywagé, ale jezeli byto takie ustalenie to ok.

#5 - 2018-02-16 10:22 - Lukasz Waskiewicz

- Status changed from Rozwigzany to Odpowiedz

- Assignee changed from tukasz Waskiewicz to Jarostaw Babel
- Rewizja rozwigzania GIT changed from 7e2b450378be3e539fc1593a2e355d5bcf4d0551 to dficffee1f7f8e8dad8597f836a5593a176a695

Dodatem trim przed sprawdzaniem dtugosci wpisanego tekstu

#6 - 2018-02-19 10:28 - Jarostaw Babel
- Status changed from OdpowiedZ to Rozwigzany
- Assignee changed from Jarostaw Babel to tukasz Waskiewicz

#7 - 2018-02-19 14:08 - Lukasz Waskiewicz

- Status changed from Rozwigzany to Zamkniety
